> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all top selling products

> List all top selling products



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /orders/metrics/top-selling-products
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/metrics/top-selling-products:
    parameters: []
    get:
      tags:
        - Metrics
      summary: List all top selling products
      description: List all top selling products
      operationId: get-top-selling-products
      parameters:
        - name: date_from
          in: query
          description: start datetime
          schema:
            type: string
            format: date-time
        - name: date_to
          in: query
          description: end datetime
          schema:
            type: string
            format: date-time
        - name: user_id
          in: query
          description: 'To retrieve analytics stats of a particular user. '
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      products:
                        type: array
                        items:
                          $ref: '#/components/schemas/TopSellingProduct'
                    type: object
components:
  schemas:
    TopSellingProduct:
      title: TopSellingProduct
      type: object
      properties:
        product_id:
          type: string
        product_name:
          type: string
        product_image_url:
          type: string
        sku:
          type: string
        product_variant_id:
          type: string
        quantity:
          type: integer
        order_count:
          type: integer
        seller_id:
          type: string
        store_id:
          type: string
        customer_count:
          type: integer
        average_selling_price:
          type: number
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````